Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAnchorElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLAnchorElement

extends HTMLElement

The anchor element. See the A element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`String` | `getAccessKey()` A single character access key to give access to the form control.
`String` | `getCharset()` The character encoding of the linked resource.
`String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`String` | `getHref()` The URI of the linked resource.
`String` | `getHreflang()` Language code of the linked resource.
`String` | `getName()` Anchor name.
`String` | `getRel()` Forward link type.
`String` | `getRev()` Reverse link type.
`String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getTarget()` Frame to render the resource in.
`String` | `getType()` Advisory content type.
`void` | `setAccessKey(String accessKey)`
`void` | `setCharset(String charset)`
`void` | `setCoords(String coords)`
`void` | `setHref(String href)`
`void` | `setHreflang(String hreflang)`
`void` | `setName(String name)`
`void` | `setRel(String rel)`
`void` | `setRev(String rev)`
`void` | `setShape(String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(String target)`
`void` | `setType(String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAccessKey

    String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    void setAccessKey(String accessKey)

### getCharset

    String getCharset()

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

### setCharset

    void setCharset(String charset)

### getCoords

    String getCoords()

  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

### setCoords

    void setCoords(String coords)

### getHref

    String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    void setHref(String href)

### getHreflang

    String getHreflang()

  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

    void setHreflang(String hreflang)

### getName

    String getName()

  Anchor name. See the name attribute definition in HTML 4.0.

### setName

    void setName(String name)

### getRel

    String getRel()

  Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

    void setRel(String rel)

### getRev

    String getRev()

  Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

    void setRev(String rev)

### getShape

    String getShape()

  The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.

### setShape

    void setShape(String shape)

### getTabIndex

    int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    void setTabIndex(int tabIndex)

### getTarget

    String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    void setTarget(String target)

### getType

    String getType()

  Advisory content type. See the type attribute definition in HTML 4.0.

### setType

    void setType(String type)

### blur

    void blur()

  Removes keyboard focus from this element.

### focus

    void focus()

  Gives keyboard focus to this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2011, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.